#!/usr/bin/env python

from pysawsim.parameter_scan import HistogramMatcher


if __name__ == '__main__':
    import sys
    
    for histfile in sys.argv[1:]:
        with open(histfile, 'r') as f:
            histograms = HistogramMatcher._read_force_histograms(f)
            for params,histogram in sorted(histograms.items()):
                histogram.plot(
                    title=params,
                    filename='histogram{}.png'.format(params.replace(' ','_')))
